import React from 'react';
import { createRoot } from 'react-dom/client';
import App from './App';
import { createStore } from "redux";
import { Provider } from "react-redux";
import rootReducer from "./redux/reducers";
import { BrowserRouter as Router } from "react-router-dom";
import "./index.css"

const container = document.getElementById('root');
const root = createRoot(container);
const store = createStore(rootReducer);

root.render(
  <Provider store={store}>
    <Router>
      <App />
    </Router>

  </Provider>,
);
